Vraag & Antwoord

OS Linux

[SuSE 9.0] Test KDE 3.2 beta1, beta2 en de Final release

26 antwoorden
  • Omdat bij het installeren van de kde 3.2 beta1 rpm's via [code:1:59956d3b8e] rpm -Uvh *rpm [/code:1:59956d3b8e] er werd gezeurd om libvcard.so.0 libkdenetwork.so.2 en libmimelib.so.1 heb ik het zo moeten doen [code:1:59956d3b8e] rpm -Uvh --force –nodeps *.rpm [/code:1:59956d3b8e] En SuSEconfig. Het upgraden lukte toen wel. kde 3.2 startte en zag er goed uit. Alleen de harddisk-,DVD-, CDWriter- en de printer icoon, bleken te zijn verdwenen. Om mee te beginnen, toen ik KWord probeerde te starten [code:1:59956d3b8e] kword: error while loading shared libraries: libvcard.so.0: cannot open shared object file: No such file or directory [/code:1:59956d3b8e] Over deze library vond ik nog wel deze [url=http://groups.google.nl/groups?q=kde+3.2+beta1+libvcard.so.0&hl=nl&lr=&ie=UTF-8&oe=UTF-8&selm=slrnbqiv48.2mt.usenet%40dolens.mobach.nl&rnum=1]review[/url] KMail kan niet meer gestart worden [code:1:59956d3b8e] KDEInit could not launch 'kmail' [/code:1:59956d3b8e] Probeer ik KMail te starten in een Konsole dan [code:1:59956d3b8e] jolo@linux:~> kmail kmail: error while loading shared libraries: libkdenetwork.so.2: cannot open shared object file: No such file or directory [/code:1:59956d3b8e] Ofschoon locate deze libraries voor de upgrade wel kon vinden, waren ze na de upgrade verdwenen. Yast2 Software installeren en verwijderen, toonde in ieder geval een hele waslijst conflicten. Xawtv die ik in SuSE 9.0 met kde 3.1.4 niet meer met F op volledig scherm kon krijgen, krijg ik nu in SuSE 9.0 met kde 3.2 beta1 weer wel naar volledig scherm met de F. Bij het starten van de Konsole wordt een font niet gevonden [code:1:59956d3b8e]Font `-misc-console-medium-r-normal--16-160-72-72-c-80-iso10646-1' not found.[/code:1:59956d3b8e] In de System Tray is een icoon bijgekomen. IRKick (Configure – Remote Controls.) KMix ziet er heel anders uit. Konqueror heeft nu wel de mogelijk via KDE Wallet Service om wachtwoorden te onthouden, maar om daar gebruik van te maken is nog wel een wachtwoord nodig, om in KDE Wallet Service te komen.
  • proberen de dependencies erbij te installeren waar kde om vraagt. Vandaar schijnbaar wat problemen, en 't is ook nog een beta. KDE van rpm upgraden gaat niet vaak goed (mijn ervaring).
  • kmail is verhuisd naar kdepim, heb je die ook geinstalleerd? libkdenetwork is ook verhuisd naar kdepim.. Max
  • [quote:4d3cc6bcac="maximilaan"]kmail is verhuisd naar kdepim, heb je die ook geinstalleerd? [/quote:4d3cc6bcac] Ik heb alle SuSE 9.0 kde 3.2 beta1 rpm's geïnstalleerd, behalve [code:1:4d3cc6bcac] jolo@linux:~/Downloads/kde3.2beta/niet> ls kdepim3-3.1.93-0.i586.rpm kdepim3-sync-3.1.93-0.i586.rpm kdepim3-kpilot-3.1.93-0.i586.rpm kdepim3-time-management-3.1.93-0.i586.rpm kdepim3-organizer-3.1.93-0.i586.rpm [/code:1:4d3cc6bcac] wegens dependencies [code:1:4d3cc6bcac] jolo@linux:~/Downloads/kde3.2beta/niet> rpm -Uvh *.rpm error: Failed dependencies: libgnokii.so.1 is needed by kdepim3-3.1.93-0 [/code:1:4d3cc6bcac] Met Google vond ik [url=http://dot.kde.org/1067849710/1067932244/]dit,[/url] en met rpmfind [url=http://rpmfind.net/linux/rpm2html/search.php?query=libarts&submit=Search+...]dit.[/url]
  • libgnokii wordt gebruikt voor de synchronisatie met je nokiatelefoon. Als je die niet hebt, dan zou je gewoon via --force --nodeps kdepim kunnen installeren, aangezien je de programma's die last hebben van deze dependencie toch niet gebruikt. aangezien kdepim niet is geinstalleerd vermoed ik dat je oude kmail nog op het systeem aanwezig is (?)
  • Probeer voortaan dat --nodeps eraf te laten, meestal werkt dat niet. Ik update mijjn KDE RPMs altijd met [b:c962d65ff8]rpm -Fvh *.rpm[/b:c962d65ff8]
  • [quote:529ae170cb="maximilaan"] Als je die niet hebt, dan zou je gewoon via --force --nodeps kdepim kunnen installeren,[/quote:529ae170cb] Hmm, ok voor een tweede maal dan [code:1:529ae170cb] linux:/home/jolo/Downloads/kde3.2beta/niet # rpm -Uvh --force --nodeps *.rpm Preparing... ########################################### [100%] 1:kdepim3 ########################################### [ 20%] 2:kdepim3-kpilot ########################################### [ 40%] 3:kdepim3-organizer ########################################### [ 60%] 4:kdepim3-sync ########################################### [ 80%] 5:kdepim3-time-management########################################### [100%] [/code:1:529ae170cb] Ik wist trouwens niet dat kdepim nodig was voor KMail. Wat nu wel merkwaardig is, dat ik KMail nu wel kan starten in een Konsole, maar niet via de KMail button op de KDE Panel. [code:1:529ae170cb] Sorry – KDE Panel Could not find service 'Internet/KMail.desktop'. [/code:1:529ae170cb] libvcard.so.0 zou toch ook deel moeten uitmaken van [url=http://rpmfind.net/linux/rpm2html/search.php?query=libvcard.so.0&submit=Search+...&system=&arch=]kdepim of kdelibs.[/url] Zonder libvcard.so.0 kan KWord niet starten. [quote:529ae170cb="my009054"]Probeer voortaan dat --nodeps eraf te laten, meestal werkt dat niet. [/quote:529ae170cb] Maar voor deze KDE 3.2 beta1 upgrade was deze --nodeps wel nodig. [Edit] Na nogmaals SuSEconfig en een reboot, kan KMail ook weer gestart worden via de KMail button op de KDE Panel. [/Edit]
  • Nu KDE3.2beta2 uit is, een test. [code:1:163b748366] linux:/mnt/sda6/p3/suse9/jolo/Downloads/kde3.2beta2 # rpm -Uvh *.rpm error: Failed dependencies: kdebase3-SuSE <= 9.0 conflicts with kdebase3-3.1.94-1 libtag.so.1 is needed by kdemultimedia3-3.1.94-1 libtag.so.1 is needed by kdemultimedia3-sound-3.1.94-1 libgnokii.so.1 is needed by kdepim3-3.1.94-1 graphviz is needed by kdevelop3-3.0.0b2-1 libvcard.so.0 is needed by (installed) koffice-1.2.92-60 libvcard.so.0 is needed by (installed) myldapklient-0.6.6-143 libvcard.so.0 is needed by (installed) koffice-extra-1.2.92-60 libvcard.so.0 is needed by (installed) koffice-illustration-1.2.92-60 libvcard.so.0 is needed by (installed) koffice-presentation-1.2.92-60 libvcard.so.0 is needed by (installed) koffice-spreadsheet-1.2.92-60 libvcard.so.0 is needed by (installed) synce-kde-0.6-48 libvcard.so.0 is needed by (installed) kbarcode-1.4.1-53 libvcard.so.0 is needed by (installed) koffice-wordprocessing-1.2.92-60 [/code:1:163b748366] via een google [url=http://groups.google.nl/groups?hl=nl&lr=&ie=UTF-8&oe=UTF-8&threadm=bog4so%24m5c%2405%241%40news.t-online.com&rnum=1&prev=/groups%3Fq%3Dlibtag.so.1%26hl%3Dnl%26lr%3D%26ie%3DUTF-8%26oe%3DUTF-8%26selm%3Dbog4so%2524m5c%252405%25241%2540news.t-online.com%26rnum%3D1]discussie[/url] begreep ik dat ik libtag.so.1 (taglib) kon downloaden ftp://ftp.suse.com/pub/suse/i386/supplementary/KDE/update_for_9.0/base gnokii en graphviz bleken op de SuSE 9.0 dvd te staan. Dus bleef nog over [code:1:163b748366] linux:/mnt/sda6/p3/suse9/jolo/Downloads/kde3.2beta2 # rpm -Uvh *.rpm error: Failed dependencies: kdebase3-SuSE <= 9.0 conflicts with kdebase3-3.1.94-1 libvcard.so.0 is needed by (installed) koffice-1.2.92-60 libvcard.so.0 is needed by (installed) myldapklient-0.6.6-143 libvcard.so.0 is needed by (installed) koffice-extra-1.2.92-60 libvcard.so.0 is needed by (installed) koffice-illustration-1.2.92-60 libvcard.so.0 is needed by (installed) koffice-presentation-1.2.92-60 libvcard.so.0 is needed by (installed) koffice-spreadsheet-1.2.92-60 libvcard.so.0 is needed by (installed) synce-kde-0.6-48 libvcard.so.0 is needed by (installed) kbarcode-1.4.1-53 libvcard.so.0 is needed by (installed) koffice-wordprocessing-1.2.92-60 [/code:1:163b748366] Uit deze [url=http://at.rpmfind.net/opsys/linux/RPM/libvcard.so.0.html]link[/url] begrijp ik dat libvcard.so.0 deel uit maakt van kdelibs-3.1.4-38 Ik heb [url=http://at.rpmfind.net/opsys/linux/RPM/suse.com/i386/update/9.0/rpm/i586/kdelibs3-3.1.4-38.i586.html]deze patch[/url] kunnen downloaden en geinstalleerd. Maar de foutmelding blijft ongewijzigd. Ik kan natuurlijk KDE3.2beta2 installeren met [code:1:163b748366] rpm -Uvh --force --nodeps *.rpm [/code:1:163b748366] maar is dat wel goed. Er wordt nog steeds geklaagd om libvcard.so.0 en dat conflict met kdebase3-3.1.94-1 :roll:
  • He leuk dat je KDE 3.1.94 uitprobeert. Ik heb hem sinds deze nacht ook draaien. Kwam dezelfde problemen tegen, bedankt voor de link naar libtool. De kdebase-SuSE conflict gaat vast om de kcontroluitbreidingen voor YaSt. Bij mij zit YaST dan ook niet meer in kcontrol, maar datis niet zo erg, bij de vorige installatie (kde 3.1.93) was YaST het enige dat nog aanwezig was in het configuratiecentrum (en dat is een stuk minder ;) ) Eerste probleem dat ik tegenkwam was dat Konqueror als webbrowser crashte zodra die werd opgestart. De bestandsbeheermodus werkte welgoed. Volgens bugs.kde.org komt dit door restanten van kde 3.1.4 in mijn mappen. Enfin, de boel via rm -r -f er af gegooid, en kde 3.1.94 opnieuw erop gezet :D Eerste indruk is goed, het Plastic-thema is een stuk rustiger aan je ogen van Keramic, en voor het eerst doen mijn aangepaste cursors het normaal (dus niet meer 2 varianten door elkaar). Gek detail is dat de cursor nu ook goed wordt weergegeven in andere window managers.... Wat wel wennen is de autocorrectie die KDE in elk tekstinvoerveld toepast (dus ook tijdens het intypen van dit bericht). Die deugt niet helemaal :o) Tenei mear.. Max
  • [quote:24ffba7de6="maximilaan"]Eerste probleem dat ik tegenkwam was dat Konqueror als webbrowser crashte zodra die werd opgestart. De bestandsbeheermodus werkte welgoed. Volgens bugs.kde.org komt dit door restanten van kde 3.1.4 in mijn mappen. Enfin, de boel via rm -r -f er af gegooid, en kde 3.1.94 opnieuw erop gezet [/quote:24ffba7de6] Dat gebeurde bij mij ook. Ik heb dus ook de inhoud van /opt/kde3/ leeg gemaakt, en kde 3.1.94 opnieuw erop gezet. Alleen heb ik nadat kde 3.1.94 opstartte, direct het geluid moeten afzetten. Want er kwam een irritante pieptoon uit de speakers. Het lijkt erop dat kde 3.1.94 mijn geluidskaart, een Audigy 1, niet juist aanstuurt. Dat probleem met dat piepen heb ik alleen als gewone user. Als in kde 3.1.94 als root inlog werkt het geluid wel, zonder piepen. Ook toen ik als root de user acount verwijderde inclusief de user map, de user opnieuw aanmaakte. De rechten met chown -R in de /tmp map in orde maakte, bleef dat gepiep in kde 3.1.94 als gewone user. :(
  • Enkele dagen later leek even, na het inloggen als gewone user, het piep probleem opgelost te zijn. Er was geen piep, en ik kon een muziek cd afspelen. Maar toen ik uit logde, en weer terug in logde als gewone user, begon kde 3.1.94 weer opnieuw vreselijk te piepen. Als ik echter in kcontrol arts disable, reboot en opnieuw in logde als gewone user, dan piepte deze wel even, en stopte dan met piepen. Het afspelen van een muziek cd werkt dan nog steeds. Verder vind ik kde 3.1.94 er wel goed uitzien. KsCD lijkt me verbeterd. Kmix ziet er ook mooier en uitgebreider uit. Het kde menu zier er ook goed uit. Kword is overigens uit het kde menu verdwenen. K3b is ook niet meer te vinden in het kde menu. De Konsole geeft nog wel een foutmelding [code:1:f38c61c5d7] Font -misc-console-medium-r-normal—16-160-72-72-c-80-iso10646-1 not found Check README.linux.console for help [/code:1:f38c61c5d7] In Yast > Software > Software installeren en verwijderen, barst het nog van de conflicten.
  • k3b en kword staan bij mij gewoon in het starmenu, maar mogelijk komt dat doordat ik ze na kde 3.1.94 opnieuw heb geinstalleerd. YaSt geeft bij mij ook vele conflictmeldingen, maar dat is te verwachten omdat ik kde 3.1.4 niet heb verwijderd voordat ik kde 3.2 installeerde. KPresenter wou overigens niet meer starten vanwege het ontbreken van libvcard.so.0 Gelukkig had ik /opt/kde3 eerst gekopieerd voordat ik kde 3.1.94 heb geïnstalleerd. Even libvcard uit de oude installatie naar de nieuwe kopiëren, en klaar was ik. Konsole geeft ook bij mij die foutmelding, maar dat is een kwestie van een ander lettertype selecteren... Verder aardig tevreden over kde 3.2 kscd is inderdaad flink verbeterd, en nu eindelijk ook normaal te vertalen (bij vorige versies werd te tekst afgebroken vanwege ruimtegebrek, bij deze rekt het venster keurig mee met de lengte van de tekst). Verder kan kscd omgaan met computers waarbij er geen directe kabel van de cd-romspeler naar de geluidskaart loopt. kmix is ook verbeterd, en wat zeker een plus is dat je sneltoetsen kunt instellen, je hoeft dus niet meer via een omweg (DCOP-scripting, zoals ik ooit in de nedlinux-wiki heb gezet) je multimediatoetsen te activeren... Max
  • wat ik erg goed vind in KDE 3.2 is de vooruitgang die KHTML heeft geboekt. En Plastik, van mij mag dat de default thema worden voor nieuwe gebruikers (die nog geen ~/.kde/ hebben).
  • [quote:1197b17d13="jolo"]Als ik echter in kcontrol arts disable, reboot en opnieuw in logde als gewone user, dan piepte deze wel even, en stopte dan met piepen. Het afspelen van een muziek cd werkt dan nog steeds.[/quote:1197b17d13] Deze conclusie bleek toch iets te voorbarig. Ik heb nu de echte oorzaak van het piepen gevonden. Het ontstond namelijk nadat ik KMix voor het eerst startte. De regelaar met de naam AC97 bleek bij default volledig open te staan. Door deze naar beneden te schuiven, verdween ook dat gepiep. En uiteraard Save Current Volume as Default. [quote:1197b17d13="maximilaan"]k3b en kword staan bij mij gewoon in het starmenu, maar mogelijk komt dat doordat ik ze na kde 3.1.94 opnieuw heb geinstalleerd. [/quote:1197b17d13] Dat heb ik dan ook maar gedaan. En inderdaad het werkt. [quote:1197b17d13="maximilaan"]Even libvcard uit de oude installatie naar de nieuwe kopiëren, en klaar was ik. [/quote:1197b17d13] Hmm, inderdaad ook kword start weer. Sinds de upgade naar kde 3.1.94 is er bij het in loggen (kdm) een nieuwe gebruiker bijgekomen, namelijk Video Disk Recorder vdr. Bij Menu Session Type blijkt Gnome te zijn verdwenen. Er staat alleen nog [quote:1197b17d13] Default Custom FVWM KDE MWM TWM WindowMaker Failsafe [/quote:1197b17d13]
  • Ik heb inmiddels de final release van KDE 3.2 geïnstalleerd. Alleen de kdebase-SuSE conflict was er nog. De nodeps en force opties waren dus toch nog nodig. Na de SuSEconfig en weer terug naar init 5, het eerste wat opviel dat het automatisch inloggen, waarop SuSE 9.0 standaard op ingesteld staat, niet meer werkt. Nu verschijnt [code:1:5b1c145fd7] Bezig jolo te authenticeren... De authenticatie is mislukt [/code:1:5b1c145fd7] Waarna er alsnog handmatig moet worden ingelogd. De standaard letter type op de kde desktop lijkt na de upgrade, naar kde 3.2 final release, een stuk lelijker te zijn geworden. De letters waren zwart. Ze zijn nu zwart met wit er doorheen. De problemen met Kword en Kmail die ik aantrof in beta1 en beta2 lijken te zijn opgelost. Wel moest ik weer de volume regelaar in Kmix, AC97 op nul zetten. Ook is, net zoals ik in mijn vorige bericht al meldde, Gnome niet te selecteren in KDM. In een [url=http://groups.google.nl/groups?hl=nl&lr=&ie=UTF-8&oe=UTF-8&threadm=oFoTb.1098%24_c4.14470%40news4.e.nsc.no&rnum=3&prev=/groups%3Fq%3Dkdebase3-SuSE%2Bkde%2B3.2%26hl%3Dnl%26lr%3D%26ie%3DUTF-8%26oe%3DUTF-8%26selm%3DoFoTb.1098%2524_c4.14470%2540news4.e.nsc.no%26rnum%3D3]google discussie[/url] las ik nog wel dat dan GDM wordt geadviseerd.
  • Alle problemen die je omschrijft zijn SuSE-gerelateerde problemen. Bij SuSE is het helaas verstandig om niet meteen de nieuwste kde-pakketten te gebruiken maar enige tijd te wachten totdat ze de ergste fouten uit het pakketbouwen hebben verwijderd. Dat van die pictogramtekst, het lijkt erop dat deze voorzien is van een soort licht schaduweffect. Schakel die uit als je dat lelijk vind.. Klik met je rechtermuisknop op je desktop, kies voor [bureaublad instellen], ga in de geopende configuratiemodule naar de sectie [achtergrond] en klik op [geavanceerde opties]. Stel de opties voor pictogramtekst naar believen in. Max
  • [quote:3c5d241c92="maximilaan"] Alle problemen die je omschrijft zijn SuSE-gerelateerde problemen. [/quote:3c5d241c92] Hmm, het lijkt er op dat je gelijkt hebt. Ik heb inmiddels ook kde 3.2 geïnstalleerd in Slackware 9.1. Dan is Gnome wel te selecteren via KDM. [quote:3c5d241c92="maximilaan"]Klik met je rechtermuisknop op je desktop, kies voor [bureaublad instellen], ga in de geopende configuratiemodule naar de sectie [achtergrond] en klik op [geavanceerde opties]. Stel de opties voor pictogramtekst naar believen in. [/quote:3c5d241c92] Ik heb 't vinkje bij Schaduw activeren verwijderd. De letters op het bureaublad zien er dan op mijn ruim 8 jaar oude 15 inch crt monitor er beter uit. In tegen stelling tot SuSE 9.0 werkt het automatisch inloggen met kde 3.2 in Slackware 9.1 wel. [quote:3c5d241c92="maximilaan"] Bij SuSE is het helaas verstandig om niet meteen de nieuwste kde-pakketten te gebruiken maar enige tijd te wachten totdat ze de ergste fouten uit het pakketbouwen hebben verwijderd. [/quote:3c5d241c92] Dus zodra de volgende SuSE uitkomt bedoel je? Als daarin zowel kde 3.2.x en kernel 2.6.x zijn, lijkt me versie 10.0 logisch. Dus versie 9.1 kan SuSE dan wel overslaan.
  • Nee, ik bedoel de kde 3.2-versie die over een paar weken op de servers van suse staan, of een latere kde-versie, zoals kde 3.2.1 Max
  • [quote:e5c8dea16d="maximilaan"]...of een latere kde-versie, zoals kde 3.2.1 [/quote:e5c8dea16d] Ik dacht dat de enige manier om aan een voor kde 3.2.x compatible kdebase-SuSE rpm te komen, via de volgende SuSE versie is.
  • Volgens mij niet, vaak zie je bij SuSE dat ze dergelijke problemen bij latere versies van KDE oplossen. Vrijwel altijd is een .0 uitgave van KDE problematisch onder SuSE en is de .1 uitgave wel goed.. Max

Beantwoord deze vraag

Weet jij het antwoord op deze vraag? Registreer of meld je aan met je account

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.